/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */

package vista;

import controlador.ControladorFrmLista;
import java.awt.event.ActionListener;
import javax.swing.JOptionPane;

/**
 *
 * @author Ashley
 */
public class FrmListaRecetas extends javax.swing.JFrame {

    ControladorFrmLista controladorFrmLista;

    public FrmListaRecetas() {
        initComponents();
        setLocationRelativeTo(null);
    }//Fin constructor

    public void escuchar(ActionListener controladorFrmLista) {
        jmiInicioSesion.addActionListener(controladorFrmLista);
        jmiRegistro.addActionListener(controladorFrmLista);
        jmiLista.addActionListener(controladorFrmLista);
        jmiManipularReceta.addActionListener(controladorFrmLista);
        jpnlListaRecetas.escuchar(controladorFrmLista);
        jMenuItemTablaRecetas.addActionListener(controladorFrmLista);
        jMenuItemTablaUsuarios.addActionListener(controladorFrmLista);
    }//Fin escuchar

    public JpnlListaRecetas getPanel() {
        return jpnlListaRecetas;
    }//Fin getPanel

    public void mostrarMensaje(String mensaje) {
        JOptionPane.showMessageDialog(null, mensaje);
    }//Fin mostrarMensaje
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jpnlListaRecetas = new vista.JpnlListaRecetas();
        jmbMenu = new javax.swing.JMenuBar();
        jmUsuario = new javax.swing.JMenu();
        jmiInicioSesion = new javax.swing.JMenuItem();
        jmiRegistro = new javax.swing.JMenuItem();
        jmRecetas = new javax.swing.JMenu();
        jMenuItemTablaUsuarios = new javax.swing.JMenuItem();
        jMenuItemTablaRecetas = new javax.swing.JMenuItem();
        jmiLista = new javax.swing.JMenuItem();
        jmiManipularReceta = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());
        getContentPane().add(jpnlListaRecetas, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, -1));

        jmbMenu.setForeground(new java.awt.Color(255, 255, 255));

        jmUsuario.setText("Users");

        jmiInicioSesion.setText("Sign In");
        jmiInicioSesion.setActionCommand("iniciarSesion");
        jmiInicioSesion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jmiInicioSesionActionPerformed(evt);
            }
        });
        jmUsuario.add(jmiInicioSesion);

        jmiRegistro.setText("Sign Up");
        jmiRegistro.setActionCommand("registrarse");
        jmUsuario.add(jmiRegistro);

        jmbMenu.add(jmUsuario);

        jmRecetas.setText("Recipes");

        jMenuItemTablaUsuarios.setText("Tabla Usuarios");
        jmRecetas.add(jMenuItemTablaUsuarios);

        jMenuItemTablaRecetas.setText("Tabla Recetas");
        jmRecetas.add(jMenuItemTablaRecetas);

        jmiLista.setText("Lista de Recetas");
        jmiLista.setActionCommand("lista");
        jmRecetas.add(jmiLista);

        jmiManipularReceta.setText("Agregar, eliminar, modificar o eliminar receta");
        jmiManipularReceta.setActionCommand("manipularReceta");
        jmRecetas.add(jmiManipularReceta);

        jmbMenu.add(jmRecetas);

        setJMenuBar(jmbMenu);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jmiInicioSesionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jmiInicioSesionActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jmiInicioSesionActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenuItem jMenuItemTablaRecetas;
    private javax.swing.JMenuItem jMenuItemTablaUsuarios;
    private javax.swing.JMenu jmRecetas;
    private javax.swing.JMenu jmUsuario;
    private javax.swing.JMenuBar jmbMenu;
    private javax.swing.JMenuItem jmiInicioSesion;
    private javax.swing.JMenuItem jmiLista;
    private javax.swing.JMenuItem jmiManipularReceta;
    private javax.swing.JMenuItem jmiRegistro;
    private vista.JpnlListaRecetas jpnlListaRecetas;
    // End of variables declaration//GEN-END:variables

}//Fin clase
